| S332 SoftDevice v2.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_gap_adv_params_t Struct Reference
Structures

GAP advertising parameters. More...

`#include <ble_gap.h>`

## Data Fields
uint8_t | type
ble_gap_addr_t const * | p_peer_addr
uint8_t | fp
uint16_t | interval
uint16_t | timeout
ble_gap_adv_ch_mask_t | channel_mask

## Detailed Description

GAP advertising parameters.

## Field Documentation

ble_gap_adv_ch_mask_t ble_gap_adv_params_t::channel_mask

Advertising channel mask. See ble_gap_adv_ch_mask_t.

uint8_t ble_gap_adv_params_t::fp

Filter Policy, see GAP Advertising filter policies.

uint16_t ble_gap_adv_params_t::interval

                 Advertising interval between 0x0020 and 0x4000 in 0.625 ms units (20ms to 10.24s), see @ref BLE_GAP_ADV_INTERVALS.

- If type equals BLE_GAP_ADV_TYPE_ADV_DIRECT_IND, this parameter must be set to 0 for high duty cycle directed advertising.
- If type equals BLE_GAP_ADV_TYPE_ADV_DIRECT_IND, set BLE_GAP_ADV_INTERVAL_MIN <= interval <= BLE_GAP_ADV_INTERVAL_MAX for low duty cycle advertising.

ble_gap_addr_t const* ble_gap_adv_params_t::p_peer_addr

             Address of a known peer.

- When privacy is enabled and the local device use BLE_GAP_ADDR_TYPE_RANDOM_PRIVATE_RESOLVABLE addresses, the device identity list is searched for a matching entry. If the local IRK for that device identity is set, the local IRK for that device will be used to generate the advertiser address field in the advertise packet.
- If type is BLE_GAP_ADV_TYPE_ADV_DIRECT_IND, this must be set to the targeted initiator. If the initiator is in the device identity list, the peer IRK for that device will be used to generate the initiator address field in the ADV_DIRECT_IND packet.

uint16_t ble_gap_adv_params_t::timeout

Advertising timeout between 0x0001 and 0x3FFF in seconds, 0x0000 disables timeout. See also GAP Advertising timeout values. If type equals BLE_GAP_ADV_TYPE_ADV_DIRECT_IND, this parameter must be set to 0 for High duty cycle directed advertising.

uint8_t ble_gap_adv_params_t::type

See GAP Advertising types.